Subject: bug#11075: 24.0.94; Arabic character composition

From: Joost Kremers <[email-masked]>
Date: Mon, 2 Apr 2012 09:44:03 +0200

On Mon, Apr 02, 2012 at 04:21:28PM +0900, YAMAMOTO Mitsuharu wrote:
> The NS port doesn't support text shaping.  The Mac port, which used to
> support text shaping only for left-to-right, now also supports for
> right-to-left:
> 
>   http://lists.gnu.org/archive/html/emacs-devel/2012-04/msg00018.html
> 
> I'd appreciate it if you could accept its experimental/hackers-only
> status and try it, because its right-to-left text shaping code is very
> new and not fully tested.

I'd be happy to try it, but when I open the Emacs.app included in the mac/
folder, I get the following error:

joost@pc201:~/Desktop/emacs-24.0.95-mac-2.91/mac $ open Emacs.app/
LSOpenURLsWithRole() failed with error -10810 for the file /Users/joost/Desktop/emacs-24.0.95-mac-2.91/mac/Emacs.app.

(Same thing happens if I move Emacs.app to /Applications.)

J.

-- 
Dr. Joost Kremers
Georg-August-Universität
Seminar für Deutsche Philologie
Käte-Hamburger-Weg 3
D-37073 Göttingen